cascading.flow.hadoop.stream.graph

## Class HadoopMapStreamGraph

- java.lang.Object
- - cascading.flow.stream.graph.StreamGraph
  - - cascading.flow.stream.graph.NodeStreamGraph
    - - cascading.flow.hadoop.stream.graph.HadoopMapStreamGraph

-     public class HadoopMapStreamGraph
      extends cascading.flow.stream.graph.NodeStreamGraph

- - ### Field Summary

    - ### Fields inherited from class cascading.flow.stream.graph.NodeStreamGraph

      `elementGraph, flowProcess, node, streamedSource`

    - ### Fields inherited from class cascading.flow.stream.graph.StreamGraph

      `DOT_FILE_PATH, ERROR_DOT_FILE_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HadoopMapStreamGraph(HadoopFlowProcess flowProcess, cascading.flow.FlowNode node, cascading.tap.Tap source)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `buildGraph()`
    `protected cascading.flow.stream.duct.Gate` | `createCoGroupGate(cascading.pipe.CoGroup element, cascading.flow.stream.graph.IORole role)`
    `protected cascading.flow.stream.duct.Gate` | `createGroupByGate(cascading.pipe.GroupBy element, cascading.flow.stream.graph.IORole role)`
    `protected cascading.flow.stream.element.GroupingSpliceGate` | `createNonBlockingJoinGate(cascading.pipe.HashJoin join)`
    `protected cascading.flow.stream.element.SinkStage` | `createSinkStage(cascading.tap.Tap element)`
    `cascading.flow.stream.element.SourceStage` | `getStreamedHead()`

    - ### Methods inherited from class cascading.flow.stream.graph.NodeStreamGraph

      `createBlockingJoinGate, createBoundaryStage, createHashJoinGate, createMergeStage, findExisting, getProperty, handleDuct, setScopes, setTraps`

    - ### Methods inherited from class cascading.flow.stream.graph.StreamGraph

      `addHead, addPath, addPath, addTail, bind, cleanup, createCloseWindow, createFork, createNextFor, createOpenReducingWindow, createOpenWindow, findAllNextFor, findAllPreviousFor, getAllDucts, getHeads, getReversedGraph, getReversedTopologicalOrderIterator, getTails, getTopologicalOrderIterator, ordinalBetween, prepare, printBoundGraph, printBoundGraph, printGraph, printGraph, printGraphError, wrapWithOrdinal`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HadoopMapStreamGraph

          public HadoopMapStreamGraph(HadoopFlowProcess flowProcess,
                                      cascading.flow.FlowNode node,
                                      cascading.tap.Tap source)

  - ### Method Detail

    - #### getStreamedHead

          public cascading.flow.stream.element.SourceStage getStreamedHead()

    - #### buildGraph

          protected void buildGraph()

    - #### createSinkStage

          protected cascading.flow.stream.element.SinkStage createSinkStage(cascading.tap.Tap element)

      Overrides:
        `createSinkStage` in class `cascading.flow.stream.graph.NodeStreamGraph`

    - #### createCoGroupGate

          protected cascading.flow.stream.duct.Gate createCoGroupGate(cascading.pipe.CoGroup element,
                                                                      cascading.flow.stream.graph.IORole role)

      Specified by:
        `createCoGroupGate` in class `cascading.flow.stream.graph.NodeStreamGraph`

    - #### createGroupByGate

          protected cascading.flow.stream.duct.Gate createGroupByGate(cascading.pipe.GroupBy element,
                                                                      cascading.flow.stream.graph.IORole role)

      Specified by:
        `createGroupByGate` in class `cascading.flow.stream.graph.NodeStreamGraph`

    - #### createNonBlockingJoinGate

          protected cascading.flow.stream.element.GroupingSpliceGate createNonBlockingJoinGate(cascading.pipe.HashJoin join)

      Overrides:
        `createNonBlockingJoinGate` in class `cascading.flow.stream.graph.NodeStreamGraph`

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.